import { Component, OnInit } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
//import { Router } from '@angular/router';
import { UpdateService } from '../services/update.service';
import { DataService } from '../services/data.service';
import { Http, Response, Headers, RequestOptions} from '@angular/http';
import { map } from 'rxjs/operators';

@Component({
  selector: 'app-search',
  templateUrl: './search.page.html',
})
export class SearchPage implements OnInit {

public group: any;
public texto: any;
public descricao: any;
public resultados: any= [{'item':'Os resultados irão aparecer aqui...'}];

  constructor(public navCtrl: NavController, public navParams: NavParams, public ds: DataService, private http: Http) {
  this.group='bairro';
  this.texto='';
  this.descricao='';
  }

  ngOnInit() {
  }

  goBack(){
  //this.router.navigate(['/home'], {replaceUrl: true});
  this.navCtrl.popToRoot();
  }

  regexpField():boolean{
  let field: any;
  if(this.group=='descricao') field=this.descricao;
  else field=this.texto;
  field=field.trim();
  field=field.replace(/\s/g, "");
  if(field.length<=3) field='';
  return (field === null || new String(field).match(/^\s*$/) !== null);
  }
  
  search(){
  if(this.group){
  let js={'tipo':this.group};
  if(this.group=='descricao'){
  js[''+this.group+'']=this.descricao;
    }else if(this.group=='cep'||this.group=='nome_ponto'){
  js[''+this.group+'']=this.texto;
  }else{
  js['nome_'+this.group+'']=this.texto;
  }
this.http.post("http://35.247.234.8:8082/api/findPontos",js).subscribe(res=>{
alert("Pesquisa concluída!");
while(this.resultados.length>1) this.resultados.pop();
if(res.json()['status']!=200){
this.resultados.push(res.json());
}else{
res.json()['results'].forEach(k=>this.resultados.push(k));
}
});
  }else{
  alert("Desculpe, ocorreu um erro.");
  }
  }
  
  getAddress(id:any){
  this.http.post("http://35.247.234.8:8082/api/getEnderecoByPonto",{'id_endereco':id}).subscribe(res=>{
  if(res.json()['status']==200){
  this.ds.data['destino']=res.json()['results'][0];
  this.goBack();
  }else{
  alert("Desculpe, ocorreu um erro.");
  }
});
  }
  
}
