package restbus

class Endereco {
String cidade
    String rua
    String bairro
    String cep
    String estado
    String sigla_estado
    String pais
String descricao

    static constraints = {
        cidade nullable: false, blank: false
        rua nullable: false, blank: false
        bairro nullable: false, blank: false
        cep nullable: true, blank: true
        estado nullable: false, blank: false
        sigla_estado nullable: false, blank: false
        pais nullable: false, blank: false
        descricao nullable: true, blank: true
    }

    static mapping = {
        table 'enderecos'
        version false
    }

    @Override
    String toString() {
        return this.descricao+" - "+this.rua+" - "+this.bairro+" - "+this.cidade+" ("+this.estado+")"
    }
}
