package restbus

import grails.testing.mixin.integration.Integration
import grails.gorm.transactions.Rollback
import spock.lang.Specification
import org.hibernate.SessionFactory

@Integration
@Rollback
class OnibusServiceSpec extends Specification {

    OnibusService onibusService
    SessionFactory sessionFactory

    private Long setupData() {
        // TODO: Populate valid domain instances and return a valid ID
        //new Onibus(...).save(flush: true, failOnError: true)
        //new Onibus(...).save(flush: true, failOnError: true)
        //Onibus onibus = new Onibus(...).save(flush: true, failOnError: true)
        //new Onibus(...).save(flush: true, failOnError: true)
        //new Onibus(...).save(flush: true, failOnError: true)
        assert false, "TODO: Provide a setupData() implementation for this generated test suite"
        //onibus.id
    }

    void "test get"() {
        setupData()

        expect:
        onibusService.get(1) != null
    }

    void "test list"() {
        setupData()

        when:
        List<Onibus> onibusList = onibusService.list(max: 2, offset: 2)

        then:
        onibusList.size() == 2
        assert false, "TODO: Verify the correct instances are returned"
    }

    void "test count"() {
        setupData()

        expect:
        onibusService.count() == 5
    }

    void "test delete"() {
        Long onibusId = setupData()

        expect:
        onibusService.count() == 5

        when:
        onibusService.delete(onibusId)
        sessionFactory.currentSession.flush()

        then:
        onibusService.count() == 4
    }

    void "test save"() {
        when:
        assert false, "TODO: Provide a valid instance to save"
        Onibus onibus = new Onibus()
        onibusService.save(onibus)

        then:
        onibus.id != null
    }
}
