import { Injectable } from '@angular/core';

@Injectable()/*{
  providedIn: 'root'
})*/
export class DataService {
public data: any=[];

  constructor() {
  this.data['pontoproximo']="Toque para procurar por pontos próximos a você";
  this.data['acl']=[];
  this.data['acl']['x']=0;
  this.data['acl']['y']=0;
  this.data['acl']['z']=0;
  }
  
  setData(data:any){
  this.data=data;
  }
  getData(data){
  return this.data;
  }

  distance(lat1:number,lat2:number,lon1:number,lon2:number){
    let p = 0.017453292519943295;    // Math.PI / 180
    let c = Math.cos;
    let a = 0.5 - c((lat1-lat2) * p) / 2 + c(lat2 * p) *c((lat1) * p) * (1 - c(((lon1- lon2) * p))) / 2;
    let dis = (12742 * Math.asin(Math.sqrt(a))); // 2 * R; R = 6371 km
    return dis;
  }

}
