package restbus

class Ponto {
    String nome
    BigDecimal latitude
    BigDecimal longitude
    Endereco endereco

    static constraints = {
        nome nullable: false, blank: false
        endereco nullable: false, blank: false
        latitude nullable: false, blank: false
        longitude nullable: false, blank: false
    }

    static mapping = {
        table 'pontos'
        version false
        latitude sqlType: 'numeric'
        longitude sqlType: 'numeric'
    }
}
