package restbus

class BootStrap {
def miscService

    def init = { servletContext ->
        for(int cont=0;cont<20;cont++) {
            Endereco e1 = new Endereco()
            e1.cidade = 'Salvador'
            e1.bairro = miscService.listBairros()[30]
            e1.cep = '41740-090'
            e1.descricao = 'Ponto ' + (cont + 1)
            e1.estado = 'Bahia'
            e1.pais = 'Brasil'
            e1.rua = 'Rua ' + (cont + 1)
            e1.sigla_estado = 'BA'
            e1.save([flush: true, failOnError: true])
        }
        Random rd=new Random()
        for(int cont=1;cont<21;cont++) {
            Ponto p1 = new Ponto()
            p1.nome = 'Ponto ' + cont
            def rua = 'Rua '+(rd.nextInt(19)+1)
            p1.endereco = Endereco.findByRua(rua)
            p1.latitude = rd.nextFloat()+((rd.nextInt(2)-1)+(-12.0))
            p1.longitude = rd.nextFloat()+((rd.nextInt(2)-1)+(-38.0))
            if(cont==19){
            p1.latitude=-12.946843399999999
            p1.longitude=-38.4137663
            }
            if(cont==20){
            p1.latitude=-12.9463403
            p1.longitude=-38.4140148
            }
            p1.save([failOnError: true, flush: true])
        }
    }
    def destroy = {
    }
}
