<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="main" />
    <g:set var="entityName" value="${message(code: 'endereco.label', default: 'Endereço')}" />

    <title><g:message code="default.create.label" args="[entityName]" /></title>
</head>
<body>
<a href="#create-endereco" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
<div class="nav" role="navigation">
    <ul>
        <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
        <li><g:link class="create" action="create_endereco">Inserir novo endereço</g:link></li>
        <li><g:link class="create" action="create_ponto">Inserir novo ponto</g:link></li>
        <li><g:link class="create" action="create_onibus">Inserir novo ônibus</g:link></li>
    </ul>
</div>
<div id="create-endereco" class="content scaffold-create" role="main">
    <h1><g:message code="default.create.label" args="[entityName]" /></h1>
    <g:if test="${flash.message}">
        <div class="message" role="status">${flash.message}</div>
    </g:if>
    <g:hasErrors bean="${this.model.endereco}">
        <ul class="errors" role="alert">
            <g:eachError bean="${this.model.endereco}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
            </g:eachError>
        </ul>
    </g:hasErrors>
    <g:form method="POST" action="save_endereco" controller="painel">
        <fieldset class="form">
            <f:field property="descricao" label="Descrição" bean="${this.model.endereco}"></f:field>
            <f:field property="rua" label="Rua" bean="${this.model.endereco}"></f:field>
        <f:field property="bairro" bean="${this.model.endereco}" label="Bairro"><g:select name="bairro" from="${this.model.bairros}" noSelection="['':'-- Selecione --']"/></f:field>
            <f:field property="cidade" label="Cidade" bean="${this.model.endereco}"><g:select name="cidade" from="['Salvador']"/></f:field>
            <f:field property="cep" label="Cep" bean="${this.model.endereco}"></f:field>
                <f:field property="sigla_estado" bean="${this.model.endereco}" label="Sigla do Estado"><g:select from="['BA']" name="sigla_estado"/></f:field>
                <f:field property="estado" bean="${this.model.endereco}" label="Estado"><g:select from="['Bahia']" name="estado"/></f:field>
                <f:field property="pais" bean="${this.model.endereco}" label="País"><g:select name="pais" from="['Brasil']"/></f:field>
        </fieldset>
        <fieldset class="buttons">
            <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
        </fieldset>
    </g:form>
</div>

</body>
</html>
