<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'onibus.label', default: 'Onibus')}" />

        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#create-onibus" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create_endereco">Inserir novo endereço</g:link></li>
                <li><g:link class="create" action="create_ponto">Inserir novo ponto</g:link></li>
                <li><g:link class="create" action="create_onibus">Inserir novo ônibus</g:link></li>
            </ul>
        </div>
        <div id="create-onibus" class="content scaffold-create" role="main">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${flash.onibus}">
            <ul class="errors" role="alert">
                <g:eachError bean="${flash.onibus}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form method="POST" action="save" controller="painel">
                <fieldset class="form">
                    <f:field property="codigo" label="Código" bean="${this.model.onibus}"/>
                    <f:field property="linha" label="Linha" bean="${this.model.onibus}"/>
<div class="container-fluid">
<div class="row">
                            <div class="col">
                                <a href="#" class="dropdown-toggle" role="button" onclick="showLinhas()">Listar Linhas<span class="caret"></span></a>
                                <ul id="dmlinhas" hidden>
                                    <g:each var="l" in="${this.model.linhas}">
                                        <li onclick="updateLinha(this.innerText)">${l}</li>
                                    </g:each>
                                </ul>
                            </div>
                        </div>
                </div>

                                <div class="container-fluid">
                                    <g:each var="ponto" in="${this.model.pontos}" status="i">
                                        <g:if test="${(i+1)==1||(i+1)%13==0}">
                                        <div class="row">
                                        </g:if>
                                        <div class="col"><label>${ponto.nome+' - '+ponto.endereco.rua}</label><g:checkBox name="pontos" checked="false" value="${ponto.id}"></g:checkBox></div>
                                        <g:if test="${(i+1)%12==0}">
                                            </div>
                                    </g:if>
                                    </g:each>
                                </div>


                </fieldset>
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>


    <g:javascript>
        function showLinhas(){
            document.getElementById('dmlinhas').hidden=!document.getElementById('dmlinhas').hidden;
        }
        function updateLinha(value) {
                document.getElementById('linha').value = value;
                showLinhas();
        }
    </g:javascript>

    </body>
</html>
