<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'onibus.label', default: 'Onibus')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-onibus" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create_endereco">Inserir novo endereço</g:link></li>
                <li><g:link class="create" action="create_ponto">Inserir novo ponto</g:link></li>
                <li><g:link class="create" action="create_onibus">Inserir novo ônibus</g:link></li>
            </ul>
        </div>

    <div class="container-fluid" role="main">
        <div class="row">
            <div class="col">Procurar ônibus</div>
            <div class="col">Filtrar por</div>
            <div class="col">Atualizar</div>
        </div>
        <div class="row">
            <div class="col">
            <div id="list-onibus" class="content scaffold-list">

            <h1 class="centered"><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <!--<f:table collection="${onibusList}" />-->
                <div class="container-fluid"><div class="row">
                        <div class="col-2">Código</div>
                        <div class="col-4">Linha</div>
                        <div class="col-6">Lista de Pontos</div>
                    </div>
                            <g:each in="${onibusList}">
                        <div class="row">
                            <div class="col-2">${it.codigo}</div>
                            <div class="col-4">${it.linha}</div>
                            <div class="col-6">
                                <ul><g:each var="it1" in="${it.pontos}"><li>${it1.nome}</li></g:each></ul>
                            </div>
                        </div>
            </g:each>
                </div>
            <div class="pagination">
                <g:paginate total="${onibusCount ?: 0}" />
            </div>

        </div>
        </div>
        </div>
    </div>

    </body>
</html>